Show number of file and text revisions on special page
Closed, ResolvedPublic2 Story Points

Description

Currently, we only display one of the two revision numbers on the page that explains what is moved

Task
Show both numbers, as indicated in the mock

Restricted Application added a project: TCB-Team. · View Herald TranscriptOct 30 2017, 12:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore added a subscriber: Addshore.

From the security review:

Importing https://test.wikipedia.org/w/index.php?title=File:00000218.gif&action=history ....

^ No, it's not 5 revisions. There is only one version of the file. There are 5 revisions of the file page. Maybe be specific and differentiate between number of revisions of the file history and the number of page revisions

Hey @Addshore,

we know about this and this is also not the final version of the mock. I had sent an email around because there was no ticket for me to put it. I only saw this ticket now, sorry about that. Should have added it when it was created.

Here is the current version

There will probably still be changes to that sentence or visual representation but what matters is that the whole File History section will be removed and we will only be left with text right before the import button.

I dont think this version really makes anything clearer.
The task description states that we want to include both numbers, I can't tell if we are still leaving the current number at the top of the preview page and then this new number at the bottom?

We want to clearly say that 3 versions of a file and 10 wikitext revision are being imported for example.

I dont think this version really makes anything clearer.
The task description states that we want to include both numbers, I can't tell if we are still leaving the current number at the top of the preview page and then this new number at the bottom?

We want to clearly say that 3 versions of a file and 10 wikitext revision are being imported for example.

Yes, I agree. I had made that mock before I had another talk with Lea and realised that we should convey both informations. I just meant to say that that was the most current version, but there will very likely still be changes made to it this week. I will post the update here.

also uploaded here T180506 Do we have a duplicate?

Tobi_WMDE_SW set the point value for this task to 2.Feb 13 2018, 3:54 PM
aniansson moved this task from Sprint backlog to Doing on the WMDE-QWERTY-Sprint-2018-02-20 board.

Change 413132 had a related patch set uploaded (by Ebba Aniansson; owner: Ebba Aniansson):
[mediawiki/extensions/FileImporter@master] Showing both numbers of files and textsbeing imported to Special Page

https://gerrit.wikimedia.org/r/413132

Change 413132 had a related patch set uploaded (by Ebba Aniansson; owner: Ebba Aniansson):
[mediawiki/extensions/FileImporter@master] Showing both numbers of files and textsbeing imported to Special Page

https://gerrit.wikimedia.org/r/413132

Change 413132 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Showing both numbers of files and textsbeing imported to Special Page

https://gerrit.wikimedia.org/r/413132

WMDE-Fisch closed this task as Resolved.Mar 6 2018, 4:02 PM
WMDE-Fisch moved this task from Done to Demoed on the WMDE-QWERTY-Team board.